% GRAPH THEORY CORE
%
% functions relating to the tree as a graph
%
% Files
%   asym_tree     - Branch point asymmetry.
%   B_tree        - Branch point indices in a tree.
%   bin_tree      - Binning nodes in a tree.
%   BO_tree       - Branch order values in a tree.
%   C_tree        - Continuation point indices in a tree.
%   child_tree    - Attribute add-up child node values all nodes in a tree.
%   dissect_tree  - Groups together nodes belonging to same branches.
%   dist_tree     - Index to tree nodes at um path distance away from root.
%   gene_tree     - String describing tree topology.
%   idpar_tree    - Index to direct parent node in a tree.
%   ipar_tree     - Path to root: parent indices. 
%   LO_tree       - Level order of all nodes of a tree.
%   PL_tree       - Topological path length.
%   Pvec_tree     - Cumulative summation along paths of a tree.
%   ratio_tree    - Ratio between parent and daughter segments in a tree.
%   redirect_tree - Set root to new point and redirect tree graph.
%   rindex_tree   - Region-specific indexation of nodes in a tree.
%   sort_tree     - sorts index of nodes in tree to be BCT conform.
%   sub_tree      - Indices to child nodes forming a subtree.
%   T_tree        - Termination point index in a tree.
%   typeN_tree    - Tree node B-C-T info.
%
% the TREES toolbox: edit, generate, visualise and analyse neuronal trees
% Copyright (C) 2009 - 2016  Hermann Cuntz


